package xn.xxp;

import android.os.Bundle;

import com.blankj.utilcode.util.ActivityUtils;

import core.ui.activity.BaseActivity;
import xn.xxp.databinding.ActivityStartBinding;
import xn.xxp.app.InitActivity;
import xn.xxp.utils.Tool;

public class StartActivity extends BaseActivity<ActivityStartBinding> {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityUtils.startActivity(InitActivity.class);
        finish();
    }

    @Override
    protected ActivityStartBinding createViewBinding() {
        return ActivityStartBinding.inflate(getLayoutInflater());
    }

    @Override
    public void onBackPressed() {
        Tool.INSTANCE.exitApp();
    }
}